Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.addressing
Class AddressingHeaders

    java.lang.Object
      org.codehaus.xfire.addressing.AddressingHeaders

    public class AddressingHeaders

extends java.lang.Object

WS-Addressing Headers from a SOAP message.

Author:
  Dan Diephouse

Constructor Summary
`AddressingHeaders()`

Method Summary
`java.lang.String` | `getAction()`
`EndpointReference` | `getFaultTo()`
`EndpointReference` | `getFrom()`
`java.lang.String` | `getMessageID()`
`java.lang.String` | `getRelatesTo()`
`javax.xml.namespace.QName` | `getRelationshipType()`
`EndpointReference` | `getReplyTo()`
`java.lang.String` | `getTo()`
`void` | `setAction(java.lang.String action)`
`void` | `setFaultTo(EndpointReference faultTo)`
`void` | `setFrom(EndpointReference from)`
`void` | `setMessageID(java.lang.String messageID)`
`void` | `setRelatesTo(java.lang.String relatesTo)`
`void` | `setRelationshipType(javax.xml.namespace.QName relationshipType)`
`void` | `setReplyTo(EndpointReference replyTo)`
`void` | `setTo(java.lang.String to)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressingHeaders

    public AddressingHeaders()

Method Detail

### getAction

    public java.lang.String getAction()

### setAction

    public void setAction(java.lang.String action)

### getFaultTo

    public EndpointReference getFaultTo()

### setFaultTo

    public void setFaultTo(EndpointReference faultTo)

### getFrom

    public EndpointReference getFrom()

### setFrom

    public void setFrom(EndpointReference from)

### getMessageID

    public java.lang.String getMessageID()

### setMessageID

    public void setMessageID(java.lang.String messageID)

### getReplyTo

    public EndpointReference getReplyTo()

### setReplyTo

    public void setReplyTo(EndpointReference replyTo)

### getTo

    public java.lang.String getTo()

### setTo

    public void setTo(java.lang.String to)

### getRelatesTo

    public java.lang.String getRelatesTo()

### setRelatesTo

    public void setRelatesTo(java.lang.String relatesTo)

### getRelationshipType

    public javax.xml.namespace.QName getRelationshipType()

### setRelationshipType

    public void setRelationshipType(javax.xml.namespace.QName relationshipType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.